#!/usr/bin/python  
# -*- coding: utf-8 -*-

import sys
reload(sys)
sys.setdefaultencoding('utf8')
from PyQt4.QtGui import *
from PyQt4.QtCore import *

import gettext
gettext.textdomain("kylin-update-manager")
_ = gettext.gettext

class SystemTray(QSystemTrayIcon):

    process_now = ""
    mw = None

    def __init__(self, parent=None):
        QSystemTrayIcon.__init__(self, parent)

        self.mw = parent
        #self.setToolTip("麒麟更新管理器")
        self.setToolTip(_("Kylin Update Manager"))
        self.setIcon(QIcon("./res/icon.png"))
        self.activated.connect(self.slot_click_tray)
        self.show()

    #
    # 函数：托盘提示
    #
    def start_tray_msg(self, msg):
        #self.showMessage("关键更新", "  " + msg, QSystemTrayIcon.Information, 5 * 1000)
        self.showMessage(_("Crucial Update"), "  " + msg, QSystemTrayIcon.Information, 5 * 1000)

    #
    # 函数：点击托盘事件
    #
    def slot_click_tray(self, status):
        if (self.mw.is_working == True or self.mw.is_working_c == True):
            #self.showMessage("正在更新", "  当前进度：" + self.process_now + "%", QSystemTrayIcon.Information, 5 * 1000)
            self.showMessage(_("Updating"), _("  Current Progress:") + self.process_now + "%", QSystemTrayIcon.Information, 5 * 1000)


if __name__ == '__main__':
    app = QApplication(sys.argv)
    QTextCodec.setCodecForTr(QTextCodec.codecForName("UTF-8"))
    QTextCodec.setCodecForCStrings(QTextCodec.codecForName("UTF-8"))

    globalfont = QFont()
    globalfont.setPixelSize(14)
    globalfont.setFamily("方正黑体_GBK")
    app.setFont(globalfont)
    tray = SystemTray()
    app.exec_()

